Subject: Re: [storm] WG Review: STORage Maintenance (storm)

From: Lars Eggert <[email-masked]>
Date: Tue, 14 Jul 2009 08:41:47 +0300

Hi,

I wanted to quickly update you on the status of STORM. The IESG has  
approved the WG with the charter below. As soon as I get the final OK  
from the two co-chairs I picked, the chartering will be announced.

I'd also like to thank everyone who volunteered to co-chair - I had an  
*extremely* strong candidate pool to choose from. (I wish this was so  
for other WG charterings...)

Lars

On 2009-6-23, at 23:00, IESG Secretary wrote:

> A new IETF working group has been proposed in the Transport Area.  The
> IESG has not made any determination as yet.  The following draft  
> charter
> was submitted, and is provided for informational purposes only.   
> Please
> send your comments to the IESG mailing list ([email-masked]) by  
> Tuesday,
> June 30, 2009.
>
>
> STORage Maintenance (storm)
> ----------------------------------
> Last Modified: 2009-06-18
>
> Current Status: Proposed Working Group
>
> Chairs:
> - TBD
>
> Transport Area Director(s):
> - Magnus Westerlund <[email-masked]>
> - Lars Eggert <[email-masked]>
>
> Transport Area Advisor:
> - Lars Eggert <[email-masked]>
>
> Mailing Lists:
> General Discussion: [email-masked]
> To Subscribe: https://www.ietf.org/mailman/listinfo/storm
> Archive: http://www.ietf.org/mail-archive/web/storm/index.html
>
> Description of Working Group:
>
> The IETF ips (IP Storage) and rddp (Remote Direct Data Placement)
> working groups have produced a significant number of storage
> protocols (e.g., iSCSI, iSER and FCIP) for which there is
> significant usage. The time has come to reflect feedback from
> implementation and usage into updated RFCs; this work may include:
>
> - Implementation-driven revisions and updates to existing protocols
> (i.e., updated RFCs that match the "running code").
> - Interoperability reports as needed for the resulting revised
> protocols that are appropriate for Draft Standard RFC status.
> - Minor protocol changes or additions. Backwards compatibility
> is required.
>
> Significant changes to the existing protocol standards are out of
> scope, including any work on version 2 of any of these protocols.
> Security for these protocols is based on the functionality specified
> in RFC 3723 (Securing Block Storage Protocols over IP); the working
> group does not intend to make major changes or updates to that RFC.
>
> Stability is critical to the usage of these protocols, making
> backwards compatibility with existing implementations a requirement
> for all protocol changes and additions. This is a requirement for
> implementation compatibility - if all implementations of a protocol
> have done something different than what the RFC specified, then it
> is appropriate for a new RFC to document what the "running code"
> actually does and deprecate the unimplemented original behavior.
>
> Initial list of work items:
> (1) iSCSI: Combine RFCs 3720 (iSCSI), 3980 (NAA names), 4850 (node
> architecture key) and 5048 (corrections/clarifications) into
> one draft (3720bis), removing features that are not implemented
> in practice. This draft should be prepared so that it could
> become a Draft Standard RFC, but it is up to the WG to decide
> whether to advance it to Draft Standard.
> (2) iSCSI: Add features to support at least SAM-4 (4th version of the
> SCSI architecture) in a backwards-compatible fashion, as iSCSI
> is currently based on SAM-2. This will be a separate draft
> from the iSCSI update in the previous item. The Working
> group may add additional minor useful iSCSI features
> to this draft, including features from draft versions of
> SAM-5. The iSCSI MIB (RFC 4544) should be updated to provide
> SNMP support for new features as appropriate.
> (3) FCIP: IP Protocol number 133 was allocated to a precursor of
> the FCIP protocol in 2000, but that allocated number is not
> used by FCIP. The working group will consider whether that
> allocated number should be returned to IANA for future
> reallocation.
> (4) iFCP: The Address Translation mode of iFCP needs to be
> deprecated (SHOULD NOT implement or use), as there are
> significant technical problems with it as specified in RFC
> 4172, and moreover, only the Address Transparent mode of iFCP
> is in use. This change is to be done via a short draft that
> updates RFC 4172, as opposed to a complete rewrite of RFC 4172.
> A combined draft is expected that encompasses items (3) and (4);
> this draft should also update the iFCP MIB (RFC 4369) to
> deprecate support for iFCP Address Translation mode.
> (5) RDDP Connection Setup: Good support for MPI applications requires
> a small update to MPA startup functionality to allow either end
> of the connection to initiate. In addition, a couple of minor
> changes to RDDP connection setup are needed based on
> implementation experience.
> (6) iSER: Experience with Infiniband implementations suggests a few
> minor updates to reflect what has been done in practice.
>
> The working group is expected to maintain good working relationships
> with INCITS Technical Committee T10 (SCSI standards) and INCITS
> Technical Committee T11 (Fibre Channel standards) via overlaps in
> membership as opposed to appointment of formal liaisons. The
> liaison process (including IAB appointment of a liaison or
> liaisons) remains available for use if needed.
>
> Recent changes in INCITS rules have removed public access to some
> T10 and T11 standards documents that are expected to be needed for
> the WG's program of work. Arrangements have been made with T10 and
> T11 for IETF participants to obtain copies of specific standards
> their personal use in IETF work as needed; contact the WG chair(s)
> for details.
>
> Goals and Milestones:
>
> July 2009 First version of FCIP protocol number and iFCP Address
> Translation mode draft.
>
> Aug 2009 First version of iSCSI SAM-4 (and other) new features
> draft.
>
> Aug 2009 First version of RDDP MPA startup change draft
>
> Sep 2009 Working Group Last Call on FCIP protocol number and
> iFCP address change draft
>
> Sep 2009 First version of combined iSCSI draft (3720bis)
>
> Oct 2009 First version of iSER update draft
>
> Oct 2009 Working Group Last Call on RDDP MPA startup change draft.
>
> Dec 2009 Functionally complete iSCSI SAM-4 (and other) new
> features draft, plus iSCSI MIB update draft.
>
> Feb 2010 Working Group Last Call on iSER update draft
>
> Mar 2010 Working Group Last Call on iSCSI SAM-4 (and other)
> new features draft.
>
> Apr 2010 Working Group decision on whether to seek Draft Standard
> RFC status for the combined iSCSI draft (3720bis). [Note:
> decision may be made significantly before this date.]
>
> Sep 2010 Working Group Last Call on combined iSCSI draft (3720bis)
> and iSCSI MIB update draft.